﻿/* this stylesheet takes care of all layout 
    to edit colors, edit style.css
*/

/*HTML Elements*/
html
{
    height:100%;    
}

body 
{
    height:100%;
}

h1, h2
{
    padding-top:4px;
    padding-bottom:7px;  
      
}

h3
{
    padding-top:6px;
    padding-bottom:3px;    
}

* + h4
{
    margin-top: 5px;
}

input#username,
input#pw
{
    width: 131px;
    min-width: 131px;
    max-width: 131px;   
}

.formitem input[type=text], .formitem input[type=password]
{
    margin-top:2px;
    margin-bottom:2px;
    width:180px;
    height:24px;
    padding-left:4px;
    padding-right:4px;
}

.formitem .customcheckbox
{
    margin-left:100px;
}

.formitem > .textblock
{
    overflow: hidden;
    width:auto;
    float:none;
}

.formitem > .textblock > textarea
{
    width: 97%;
    width: calc(100% - 18px);
    resize: none;
}

.formitem select
{
    width:188px;
    height:24px;
    padding-left:4px;
    margin:2px 0px 2px 0px;
}
/*
.reason select
{
    width:100%;
}

.reason .styledselect select
{
    margin:0px;
    height:40px;
}

.rowcontainer .present input[type="checkbox"], .rowcontainer .notpresent input[type="checkbox"]
{
    position:relative;
    margin:0;
    top:-10px;
    left:-10px;
    width:93px;
    height:40px;
    display:block;
}
*/
button, input[type=button]
{
    margin-top:5px;
}

.clear + h3
{
    margin-top:10px;    
}

.container
{
    max-width:1048px;
    margin-left:auto;
    margin-right:auto;    
}

.footer
{
    text-align:center;
    padding:7px 0 30px 0;
}

.header
{
    margin:0px 20px 0px 20px;
    overflow:hidden;
}

.headercontent
{
    margin-top:10px;
    height:35px;
}

.headercontent .headercontentright
{
    height:18px;
    float:right;
    text-align:right;
    padding:5px 7px 3px 5px;
}


.headercontent .headercontentright a
{
    color:White;
}

.pagetitle
{
    float:right;
    margin-right:20px;
    height:80px;
    vertical-align:middle;
}

/*menu*/

.header .menu
{
    height:40px;
    clear:both;    
}

.menu ul
{
    list-style-type:none;
    padding-left:10px;
}

.menu ul li , .menu #employeediv div
{
    display:block;
    float:left;
    margin-left:10px;
    padding:0px;
    height:32px;
    padding-right:10px;
}

.menu #employeediv div
{
    margin-right:2px;
}

.menu ul li#active
{
    height:40px;   
}

.menu ul li a, .menu #employeediv a
{
    display:block;
    width:100%;
    height:22px;
    text-align:center;
    padding:7px 5px 3px 5px;
    text-decoration:none;
}

.menu #employeediv
{
    float:right;
}

.clear
{
    clear:both;    
}

.spacer
{
    height:10px;
}

.content
{
    margin:0px 20px 3px 20px;
    padding:15px;
}

.formitem
{
    margin:5px 0px 5px 0px; 
    min-height:23px;
    clear:both;
}

.formitem > div
{
    margin:5px 0px 5px 100px;
}

.formitemextra
{
    padding:0 0 0 5px;
    margin:0;
}

.formitemextra button
{
    margin:0;
}

.formitem p
{
    padding:5px 0px 0px 0px;
}

.formitem.num
{
    width:200px;
    display:inline-block;
}

.formitem.num .numberfield
{
    margin-top:7px;
}

.formitem > label
{
    display:block;
    width:100px;
    min-width:100px;
    max-width:100px;
    float:left;
    margin-top:7px;
}

.loginbox
{
    width:44%;
    height:110px;
    padding:30px 10px 30px 30px;
    float:left;
}

.loginbox button
{
    margin-left:80px;
}

.sidemessage
{
    height:150px;
    width:44%;
    padding:10px;
    float:right;
    margin-left:15px;
    line-height:16px;
}


/*table with student rows*/
/*.tablecontainer
{
    padding-top: 5px;
    padding-bottom: 10px;
}

h3 + .tablecontainer
{
    padding-top:0px;
    margin-top:-10px;    
}

.rows
{
    margin-top:15px;   
}

.rowcontainer
{
    max-height:530px;
    overflow:auto;
    
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
}

.row
{
    clear:both;
    height:40px;
    overflow:hidden;
    vertical-align:middle;
}

.row > div
{
    float:left;
    vertical-align:middle; 
}

.here, .not_here
{
    display:block;
    width:40px;
    height:40px;
}

.comment, .no_comment
{
    display:block;
    width:40px; 
    height:40px;
}


.family_name, .name, .date_born, .group, .date_registered, .from, .to, .score, .present, .notpresent, .reason, .adresslessoncomments
{
    width:90px;
    min-width:80px;
    max-width:80px;
    padding:12.5px 5px 13px 7px;
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    height:15px;
}

.family_name, .name
{
    width:110px;
    min-width:110px;
    max-width:110px;
}

.date_born
{
    width:110px;
    min-width:110px;
    max-width:110px;
}

.from, .to
{
    width:130px;
    min-width:130px;
    max-width:130px;
}

.date_registered
{
    width:140px;
    min-width:140px;
    max-width:140px;
}

.present, .notpresent
{
    width:70px;
    min-width:70px;
    max-width:70px;
}

.rowcontainer > .row > .reason
{
    height:40px;
    padding:0px;
    float:none;
    width:auto;
    min-width:none;
    max-width:none;
}

.adresslessoncomments
{
    height:14px;
    float:none;
    width:auto;
    min-width:none;
    max-width:450px;
}
*/
.adresslessoncomments span
{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;    
}

/*lessongroup viewer*/

.lessongroupviewers
{
}

.lessongroupviewer
{
    width:48%;
}

.lessongroupviewer.left
{
    float:left;
}

.lessongroupviewer.right
{
    float:right;
}

.iconcontainer
{
    margin:10px 5px 5px 0;
    width:100%;
    height:350px;
    max-height:350px;
    overflow:auto;
    top:0;
}

.middlebutton
{
    width:100%;
    height:0px;
    max-height:0px;
}

.middlebutton div
{
    width:20px;
    height:20px;
    margin-left:auto;
    margin-right:auto;
    position:relative;
    top:270px;
}

.icon
{
    width:100px;
    height:110px;
    padding-left:5px;
    padding-top:5px;
    margin:10px;
    
    float:left;
    /*sub items not selectable*/
    -moz-user-select: none;
    -khtml-user-select: none;
    -khtml-user-drag: element;
    -webkit-user-select: none;
    -webkit-user-drag: element;
    user-select: none;
}

.icon div
{
    padding:4px 0 4px 0;
    text-align:center;
}

.iconcontainer [draggable]
{
    cursor:move;
}

.icon img
{
    width:70px;
    height:70px;
    max-width:70px;
    max-height:70px;
    margin-left:14px;    
}

/*tooltip*/

*[data-tooltip], *[data-cbox]
{
    cursor:help;    
}

.tooltip
{
    width:0px;
    height:0px;
    position:absolute;
    overflow:visible !important;
    z-index:1000;
}

.tooltip .tooltipbox
{
    margin-top:20px;
    margin-left:-50px;
    width:150px;
    min-height:70px;
    display:block;
    padding:10px;
    z-index:1000;
}

.tooltip .tooltipbox button
{
    margin:20px 0 0 0;
    float:right;
}

.tooltip .tooltipbox p
{
    padding-top:7px;  
}

/*custom checkbox*/
.customcheckbox
{
    width:25px;
    height:25px;
}

/*
.rowcontainer .present .customcheckbox, .rowcontainer .notpresent .customcheckbox
{
    position: relative;
    margin: 0;
    top: -5px;
    left: 22px;
}*/

/*lessongroup info*/
#fromcoursegroupinfo, #tocoursegroupinfo
{
    height:40px;
}

#coursegroupinfo, #fromcoursegroupinfo, #tocoursegroupinfo
{
    min-height:20px;
    overflow:auto;
}

#coursegroupinfo
{
    max-height:70px;
}

.formitem p
{
    margin-left:100px;
}

.scorehidden
{
    display:none !important;
}

.processing
{
    position:fixed;
    top: 45%;
    left: 0;
    width:100%;
    height:100px;
    z-index: 1050; 
    display:none;
}

.processing > .pcsmsg
{
    width:200px;
    height:70px;
    text-align:center;
    margin:0 auto 0 auto;
    padding:15px;
}

.msgbox
{
    position:fixed;
    top: 30%;
    left: 0;
    width:100%;
    min-width:300px;
    height:100px;
    z-index: 1060;
}

.msgbox > .mb
{
    width:250px;
    margin:0 auto 0 auto;
}

.msgboxh
{
    height:20px;
    padding:10px;
    font-size: 18px;
}

.msgboxclose
{
    float:right;
    width:16px;
    height:18px;
}

.msgboxbtn
{
    margin: 10px 0;
    text-align: center;
    padding: 5px;
    border-radius: 3px;
}

.loginbox .keeploggedin > label
{
    display:inline-block;
    width:80px;
    vertical-align:top;
}

.keeploggedin > .customcheckbox
{
    display:inline-block;
}

.loggedinas
{
    height: 18px;
    float: right;
    text-align: right;
    padding: 5px 7px 3px 5px;
    margin-right: 7px;
}

/* MEDIA QUERIES */
@media all
{
    body
    {
        min-width:0;    
    }    
}

@media all and (max-width:943px) 
{

    

}
/*
@media all and (max-width:930px)
{
    .extrainfo
    {
        float:none;
        margin-left:0;
        margin-top:10px;
        width: auto;
    }
    .studentpictureandcomments
    {
        float:none;    
    }
}

@media all and (max-width:911px)
{
    .adresslessoncomments
    {
        display:none;
    }
}*/

@media all and (max-width:750px)
{
    .loginbox
    {
        width:auto;
        padding:30px 10px 30px 30px;
        float:none;
    }

    .sidemessage
    {
        width:auto;
        padding:10px;
        float:none;
        margin-top:15px;
        margin-left:0px;
    }
    
}

@media all and (max-width:690px)
{
    .notpresent
    {
        display:none;
    }
}

@media all and (max-width:690px)
{
    .lessongroupviewer .formitem > label
    {
        float:none;
        margin-bottom:3px; 
    }
    
    .lessongroupviewer .formitem p
    {
        margin-left:0px;    
    }
    
}

@media all and (max-width:643px) 
{
    /* change header */
    .menu ul li
    {
        float:none;
        text-align:left;
    }
    
    .menu ul li
    {
        margin-left:0; 
        margin-bottom:2px;
    }
    
    .menu ul
    {
        padding-left:0;
        width:150px;
        float:left;
    }
    
    .menu ul li#active
    {
        height:auto;
    }
    
    .header .logo
    {
        display:none;
    }
    
    .menu
    {
        position:relative;
        top:-35px;
    }
    
    .header
    {
        height:180px;    
    }
    
    /*.header .menu #employeediv*/
    .header .headercontent .headercontentright
    {
        position:relative;
        top:107px;    
    }
    
    .loggedinas
    {
        display:none;
    }
    
    .rowcontainer
    {
        max-height:350px;
    }
    
}

@media all and (max-width:518px)
{
    .formitemextra
    {
        float: none;
        clear: both;
        padding: 0;
    }    
}

@media all and (max-width:580px)
{
    body
    {
        min-width:320px;    
    }
    /*
    .studentinfo
    {
        display:none;
        position:absolute;
        top:0;
        left:0;
        right:0;
        bottom:0;
        margin:0px;
        border:0px;
        padding:0px;
        z-index:999 !important;
    }
    
    .studentinfocontainer
    {
        margin:10px;
        padding:10px;
        min-width:273px;
    }
    
    .present, .notpresent, .reason
    {
        display:none;    
    }
   */
    .header
    {
        margin-left:10px;
        margin-right:10px;
    }

    .content
    {
        margin-left:10px;
        margin-right:10px;
    }
    
    .studentpicture
    {
        float:none;   
    }

    .studentcomments
    {
        float:none;
        margin-left:0;
    }

    
    .nomobile
    {
        display:none !important;    
    }
    
    h3
    {
        margin-top:7px;    
    }
    
}

@media all and (max-width:620px)
{
    .extrainfo2
    {
        margin-left:10px;
        float:none;    
    }
    .extrainfo1
    {
        float:none;    
    }
    
    .extrainfo
    {
        padding-bottom:10px;    
    }
    
}

@media all and (max-width:400px)
{
    .date_born
    {
        display:none;    
    }
    
    .loginbox
    {
        padding-left:20px;
    }
}

@media all and (max-width:395px)
{
    .no_comment , .comment
    {
        display:none;    
    }
}
/*
@media all and (max-width:352px)
{
    .family_name, .name
    {
        width:97px;
        min-width:97px;
        max-width:97px;    
    }

}
*/
@media all and (max-width:331px)
{
    .content
    {
        padding:10px 10px 25px 10px;  
    }
    
}

/*group name scales at search results*/
@media all and (min-width:400px)
{
    .group
    {
        width:150px;
        min-width:150px;
        max-width:150px;
    }    
}

@media all and (min-width:500px)
{
    .group
    {
        width:250px;
        min-width:250px;
        max-width:250px;
    }    
}

@media all and (min-width:750px)
{
    .group
    {
        width:450px;
        min-width:450px;
        max-width:450px;
    }
    /*
    .from, .to
    {
        width:200px;
        min-width:200px;
        max-height:200px;
    }  */
}

@media all and (min-width:1000px)
{
    .group
    {
        width:700px;
        min-width:700px;
        max-width:700px;
    }
    
    /*
    .from, .to
    {
        width:340px;
        min-width:340px;
        max-height:340px;
    }  */
}

/*for compatibility with older browsers*/
body
{
    min-width:1024px;
}

@media all and (min-width:1px)
{
    body
    {
        min-width:320px;
    }
}

.sync
{
    width:100%;
    height:100%; 
    z-index:10;
    top:0; 
    left:0; 
    position:fixed;
    text-align:center;
    padding-top:30px;
}


.masterdetail
{
    margin: 5px 0;
    width:100%;
    background: #FFF;
    box-shadow: 0 0 7px #8592A9;
    border-radius: 5px;
}

.masterdetail thead
{
    background: #e5e5e5;
    border-bottom: 1px solid #A0A0A0;
}

.masterdetail thead th
{
    text-align:left;
    vertical-align:middle;
    height: 35px;
    padding-right:5px;
}

.masterdetail .master
{
    
}

.masterdetail .detail
{
    background: rgba(255, 255, 255, 0.5);
}

.masterdetail .detail > td
{
    box-shadow:0px 3px 9px -2px rgba(50, 50, 50, 0.25) inset;
}

.masterdetail .master td
{
    vertical-align:middle;
    height: 35px;
}

.masterdetail .master td.noitems
{
    text-align:center;
}

.masterdetail .text
{
    padding: 0 3px;
}

.masterdetail .master, .masterdetail .detail
{
    border-bottom: 1px solid rgba(0, 0, 0, 0.06);
}

.masterdetail .accesscontrol, .masterdetail .comment, .masterdetail .btn
{
    width: 30px;
    min-width:30px;
}

.masterdetail th.comment
{
    background: url('../img/xs_comment.png') no-repeat left center;
}

.masterdetail th.sortup
{
    background: url('../img/arrowup.png') no-repeat right 8px center;
    padding-right:25px;
}

.masterdetail th.sortdown
{
    background: url('../img/arrowdown.png') no-repeat right 8px center;
    padding-right:25px;
}

.masterdetail .accesscontrol
{
    background: url('../img/xs_red.png') no-repeat center center;
}
.masterdetail td.accesscontrol.active
{
    background: url('../img/xs_green.png') no-repeat center center;
}

.masterdetail .btn.opened
{
    background: url('../img/arrowdown.png') no-repeat center center;
}

.masterdetail .btn.closed
{
    background: url('../img/arrowright.png') no-repeat center center;
}

.masterdetail .btn
{
    cursor:pointer;
}

.masterdetail .master td.comment
{
    width: 160px;
    max-width: 160px;
}

.customcheckbox
{
    cursor:pointer;
}

.limittext
{
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
}

.disableparent
{
    display:none;
}

.catchupparent {
    display: none;
}

.unsubscribedparent {
    display: none;
}

.nodisplayparent {
    display: none;
}

.masterdetail .scrollable
{
    height:100%;
    vertical-align:top;
    width:1px;
    padding:0 2px;
}

.masterdetail .scrollable > div
{
    width:500px;
}

@media all and (max-width:820px)
{
    .masterdetail .scrollable > div
    {
        width:350px;
    }
}

@media all and (max-width:720px)
{
    .masterdetail .scrollable > div
    {
        width:300px;
    }
}

@media all and (max-width:620px)
{
    .masterdetail .scrollable > div
    {
        width:250px;
    }
}


@media all and (max-width:520px)
{
    .masterdetail .scrollable > div
    {
        width:150px;
    }
}

.masterdetail th.scrollable > div
{
    overflow-x:auto;
    overflow-y: hidden;
}

.masterdetail td.scrollable > div
{
    overflow-x:hidden;
}

.masterdetail .scrollable .si
{
    display:table-cell;
    height:35px;
    vertical-align:middle;
}

.masterdetail .master td .styledselect
{
    height: 34px;
    width: 100%;
}
.masterdetail .master td .styledselect select
{
    height: 100%;
    width: 100%;
    cursor:pointer;
}

.masterdetail .master.nodisplay {
    display: none;
}

.masterdetail .master.disabled
{
    background:url('../img/stripes.png')
}

.master:not(.disabled) .scorebutton.disabled
{
    background:url('../img/stripes.png')
}

/*chrome only select fix*/
@media screen and (-webkit-min-device-pixel-ratio:0)
{
    .masterdetail .master td .styledselect select
    {
        padding-right:20px;
    }
}

/*firefox & IE combobox dropdown fix - ugly, but it works*/
.formitem select, .reason .styledselect select
{
    padding-right: 0\9; /* IE 8 and below */
	*padding-right: 0; /* IE 7 and below */
	_padding-right: 0; /* IE 6 */
}

@-moz-document url-prefix() 
{
    .formitem select
    {
        padding-top:5px;
    }
    .masterdetail .master td .styledselect select
    {
        padding-top:8px;
        padding-right:3px;
    }
}

@media all and (max-width:960px)
{
    .masterdetail .master td.comment
    {
        width:30px;
        /*send text offscreen*/
        text-indent: -9999px;
        overflow:hidden;
        color:transparent;
        white-space:nowrap;
    }
    
    .masterdetail .master td.comment.active
    {
        background: url('../img/xs_comment.png') no-repeat left center;
    }
}

@media all and (max-width:750px)
{
    .masterdetail .startdate, .masterdetail .not_present
    {
        display:none;
    }
}
/*
.studentinfo
{
    margin: 5px 15px 15px 15px;
}*/

.studentpicture
{
    width:97px;
    height:97px;
}

.studentcomment
{
    border-width:0;
    padding:5px;
    
    resize: none;
    
    font-size:14px;
    color:White;
    box-shadow: inset 3px 3px 8px rgba(46, 46, 46, 0.19);
    background: #2C7AC9;
    background: linear-gradient(bottom, #2875BD 31%, #2C7BC9 75%);
    background: -o-linear-gradient(bottom, #2875BD 31%, #2C7BC9 75%);
    background: -moz-linear-gradient(bottom, #2875BD 31%, #2C7BC9 75%);
    background: -webkit-linear-gradient(bottom, #2875BD 31%, #2C7BC9 75%);
    background: -ms-linear-gradient(bottom, #2875BD 31%, #2C7BC9 75%);
    background: -webkit-gradient(linear,left bottom,left top,color-stop(0.31, #2875BD),color-stop(0.75, #2C7BC9));
    border-radius:5px;
    width: 90%;
}

.studentcomment:active, .studentcomment:hover
{
    background: #3F96EE;
}

.studentinfoleft
{
    float:left;
    padding: 0 13px 0 0;
    background: url("../img/student.png") no-repeat;
}

.studentinfoleft, .studentinforight
{
    margin: 10px 0;
}

.studentinforight
{
    margin-left: 110px;
    border-left: 1px solid #D5D5D5;
    padding-left: 10px;
}

.seii + .seii
{
    margin-top: 2px;
}

.seii .seiilabel
{
    width:185px;
    display:inline-block;
}

.seii .seiivalue
{
    font-style:italic;
}

@media all and (max-width:500px)
{
    .masterdetail .startdate, .masterdetail .not_present
    {
        display:none;
    }
    
    .studentinfoleft
    {
        float:none;
    }
    
    .studentinforight
    {
        margin-left: 0;
        border-left: none;
        padding-left: 0;
    }

    .studentcomment {
        width: 94%;
    }
}

.score {
    border-right: 1px dotted #9C9C9C;
    border-right: 1px dotted rgba(87, 87, 87, 0.2);
    border-left: 1px dotted #9C9C9C;
    border-left: 1px dotted rgba(87, 87, 87, 0.2);
    min-width: 45px;
    width: 45px;
    max-width: 45px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-right: 5px;
}

th .score
{
    border-right:1px dotted transparent;
    border-left:1px dotted transparent;
}

.scorebutton
{
    height:40px;
    cursor:pointer;
}

.disabled .scorebutton, .disabled.scorebutton
{
    cursor:not-allowed;
}

.scorebutton.pgood
{
    background:url('../img/transgood.png') no-repeat center center; 
    background-size: 45px 45px;
}
.scorebutton.pnormal
{
    background:url('../img/transavg.png') no-repeat center center;   
    background-size: 45px 45px; 
}
.scorebutton.pbad
{
    background:url('../img/transbad.png') no-repeat center center;    
    background-size: 45px 45px;
}

.previousAsBg .scorebutton.pgood
{
    background-color:#709603;
    background-image:none;
}
.previousAsBg .scorebutton.pnormal
{
    background-color:#346bb1;
    background-image:none;
}
.previousAsBg .scorebutton.pbad
{
    background-color:#790101;
    background-image:none;
}

.scorebutton.good
{
    background-image:url('../img/good.png') !important;
    background-position:center center !important;
    background-repeat:no-repeat !important;
    background-size: 45px 45px !important;
}
.scorebutton.normal
{
    background-image:url('../img/avg.png') !important;  
    background-position:center center !important;
    background-repeat:no-repeat !important;  
    background-size: 45px 45px !important;
}
.scorebutton.bad
{
    background-image:url('../img/bad.png') !important;    
    background-position:center center !important;
    background-repeat:no-repeat !important;
    background-size: 45px 45px !important;
}

.button
{
    display:inline-block;
    border: 1px solid #777;
    border-radius: 5px;
    vertical-align:middle;
    height: 15px;
    padding: 5px 10px 5px 10px;
    box-shadow: 0 0 1px #000, inset 0 0 5px #FFF;
    background: #E3E3E3;
    cursor:pointer;
    margin-right:5px;
}

.button:hover
{
    background: #D3D3D3;
}


.cboxWrapper
{
	position:fixed;
	top:0;
	bottom:0;
	right:0;
	left:0;
	z-index:10000;
}

.cboxOverlay {
    background: black;
	opacity:0.4;
	filter:alpha(opacity=40);
	position:fixed;
	top:0;
	bottom:0;
	right:0;
	left:0;
}

.cboxScroll
{
	position:fixed;
	z-index:10001;
	top:0;
	bottom:0;
	right:0;
	left:0;
	overflow:auto;
}


.colorbox {
    border: 10px solid #fff;
    border-radius: 10px;
    box-shadow: 10px 10px 10px rgba(0,0,0,0.25);
    background: #fff;
	width:80%;
	max-width:900px;
	margin: 50px auto 50px auto;
}

.cboxClose
{
	float:right;
	cursor:pointer;
	background: url(../img/cross.png) no-repeat 0 0;
    width: 25px;
    height: 25px;
    text-indent: -9999px;
}

.colorboxtable
{
    width:100%;
    border: 1px solid #CCC;
    margin-top: 10px;
}

.colorboxtable th, .colorboxtable td
{
    border: 1px solid #CCC;
    padding:2px;
    text-align:left;
}

.studentinfo
{
    margin: 8px 10px 13px 13px;
    position: relative;
}

.masterdetail .reason .styledselect select
{
    background:none;
    color:#1F5C99;
}

.md
{
    margin-top: 5px;
}

.studentinfo .extramenu
{
    position: absolute;
    right: -5px;
    top: 1px;
    background-color: #FFF;
    display:block;
}

.extramenu
{
    display:inline-block;
    position:relative;
    width:30px;
    height:25px;
    background: url('../img/menub.png') no-repeat center center;
    cursor:pointer;
    border:1px solid transparent;
    border-radius:5px;
}

.extramenu:after
{
    display:block;
    content:'';
    clear:both;
}

.extramenu:hover, .extramenu.shown
{
    border:1px solid #1F5C99;
}

.extramenu.shown
{
    border-bottom-left-radius:0;
    border-bottom-right-radius:0;
    background-color:#FFF;
}

.extramenu.shown .menuitems
{
    display:block;
}

.extramenu .menuitems
{
    position:absolute;
    top: 25px;
    right: -1px;
    border:1px solid #1F5C99;
    display:none;
    background:white;
    border-radius:5px;
    border-top-right-radius:0;
}

.extramenu .menuitems .mi
{
    padding: 8px;
    white-space: nowrap;
    border-top:1px solid #1F5C99;
}

.extramenu .menuitems .mi:first-child
{
    border-top:none;
    border-top-left-radius:5px;
}

.extramenu .menuitems .mi:last-child
{
    border-bottom-left-radius:5px;
    border-bottom-right-radius:5px;
}

.extramenu .menuitems .mi:hover
{
    background: #EEE;
}

.smallbox
{
    display:none;
    margin: 10px 0 0 0;
    padding:5px;
    text-align:right;
}

.box
{
    margin-bottom:20px;
}

.box + .smallbox
{
    margin-top:-17px;
}

.ui-datepicker-trigger
{
    visibility:hidden;
}

.formitem select.xs
{
    width: 135px;
}

td.parentclasses
{
    display:none;
}

.ui-multiselect
{
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
    height: 24px !important;
    width: 188px !important;
}

.ui-multiselect-menu
{
    position: absolute;
    z-index: 10000;
    text-align: left;
}

.ui-multiselect-menu li
{
    background: #e3e3e3;
    background: rgba(227, 227, 227, 0.95);
    clear: both;
    font-size: 0.9em;
    list-style: none;
}

.ui-multiselect-checkboxes
{
    overflow: hidden;
    overflow-y: auto;
}

.ui-multiselect-checkboxes li
{
    height: 36px;
}

.ui-multiselect-checkboxes label
{
    cursor: default;
    display: block;
    border: 1px solid transparent;
    height: 28px;
    padding: 4px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ui-multiselect-checkboxes .customcheckbox
{
    float: left;
    margin-right: 5px;
}

.ui-multiselect-checkboxes .ui-state-hover
{
    background: #3f96ee;
    color: white;
}

.ui-widget-header
{
    border: 1px solid #000;
    background: #FFF 50% 50% repeat-x;
    font-weight: bold;
}

@media all and (max-width:436px)
{
    .ui-multiselect
    {
        width: 180px !important;
    }
}

.middlebutton .copycheckbox
{
    width: 40px;
    text-align: center;
    margin-top:5px;
}

.middlebutton .copycheckbox label
{
    font-weight:normal;
    font-size:10px;
}

.rotate {
    overflow: hidden;
/* Safari */
-webkit-transform: rotate(-90deg);

/* Firefox */
-moz-transform: rotate(-90deg);

/* IE */
-ms-transform: rotate(-90deg);

/* Opera */
-o-transform: rotate(-90deg);

/* Internet Explorer */
filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);

}

.ui-multiselect-menu
{
    display: none;
    max-width: calc(100% - 240px + 100% / 960 * -170);
    width: auto !important;
    min-width: 185px;
}

.ui-multiselect-checkboxes label span:after
{
    content: ' ';
    display: inline-block;
    width: 20px;
}

.coursegroupoption
{
    display: inline-block;
    vertical-align: bottom;
    margin: 6px 5px 0 0;
    height: 50px;
}

.coursegroupoption button, .coursegroupoption select
{
    display: block;
    margin-top: 5px;
}

.coursegroupoption input[type=radio]
{
    margin-top: 0;
    margin-left: 1px;
}

#header-fixed {
    position: fixed;
    top: 0px; display:none;
}